import { library, config } from "@fortawesome/fontawesome-svg-core";
import { FontAwesomeIcon } from "@fortawesome/vue-fontawesome";
import {
  faArrowRight,
  faArrowsRotate,
  faArrowRightLong,
  faHome,
  faSortDown,
  faBullhorn,
  faUser,
  faFileInvoiceDollar,
  faFile,
  faGift,
  faWallet,
  faLock,
  faUsers,
  faEye,
  faEyeSlash,
  faAngleRight,
  faHeadset,
  faCircleUser,
  faCoins,
  faChevronLeft,
  faChevronRight,
  faAngleDown,
  faXmark,
  faX,
  faSpinner,
  faExclamationCircle,
  faCircleQuestion,
  faEarthAsia,
  faMagnifyingGlass,
  faDollar,
  faAt,
  faPhone,
  faClock as sClock,
  faAngleLeft,
  faCircleCheck,
  faStar,
  faCirclePlus,
  faCircleMinus,
  faBuildingColumns,
  faMoneyCheck,
  faMoneyBill,
  faFileInvoice,
  faMobile,
  faUserShield,
  faShieldHalved,
  faFlag,
  faBars,
  faTrophy,
  faPlay,
  faCaretLeft,
  faCaretRight,
  faCheck,
  faLongArrowLeft,
  faEllipsis,
  faExpand,
  faPanorama,
  faSearch,
  faPrint,
  faCircleXmark,
  faVenusMars,
  faArrowUp,
  faBroadcastTower,
  faCubes,
  faArrowRightToBracket,
  faArrowRightFromBracket,
  faFileLines,
  faBell,
  faHeadphonesSimple,
  faGear,
  faTrashCan,
} from "@fortawesome/free-solid-svg-icons";
import { faClock as rClock } from "@fortawesome/free-regular-svg-icons";
library.add({
  faArrowsRotate,
  faHome,
  faSortDown,
  faBullhorn,
  faArrowRight,
  faArrowRightLong,
  faUser,
  faFile,
  faFileInvoiceDollar,
  faGift,
  faWallet,
  faXmark,
  faLock,
  faUsers,
  faAngleRight,
  faEye,
  faEyeSlash,
  faHeadset,
  faCircleUser,
  faCoins,
  faChevronLeft,
  faChevronRight,
  faAngleDown,
  faX,
  faSpinner,
  faExclamationCircle,
  faCircleQuestion,
  faEarthAsia,
  faMagnifyingGlass,
  faDollar,
  faPhone,
  faAt,
  sClock,
  rClock,
  faAngleLeft,
  faCircleCheck,
  faPrint,
  faStar,
  faCirclePlus,
  faCircleMinus,
  faBuildingColumns,
  faMoneyCheck,
  faMoneyBill,
  faMobile,
  faFileInvoice,
  faUserShield,
  faShieldHalved,
  faFlag,
  faBars,
  faCheck,
  faTrophy,
  faPlay,
  faCaretLeft,
  faCaretRight,
  faLongArrowLeft,
  faSearch,
  faEllipsis,
  faExpand,
  faPanorama,
  faCircleXmark,
  faVenusMars,
  faArrowUp,
  faBroadcastTower,
  faCubes,
  faArrowRightToBracket,
  faArrowRightFromBracket,
  faFileLines,
  faBell,
  faHeadphonesSimple,
  faGear,
  faTrashCan
});
config.autoAddCss = false;

export default defineNuxtPlugin((nuxtApp) => {
  nuxtApp.vueApp.component("font-awesome-icon", FontAwesomeIcon);
});
